package org.eclipse.jdt.internal.compiler.apt.dispatch;

import javax.annotation.processing.Processor;
import java.util.List;

public interface IProcessorProvider
{
    public abstract ProcessorInfo discoverNextProcessor();
    
    public abstract List<ProcessorInfo> getDiscoveredProcessors();
    
    public abstract void reportProcessorException(Processor p0, Exception p1);
}
